D黑奴背锅 文档中心
公共 OpenAPIPDF
GET/openapi/v1/pdf/get_task

查询当前 OAuth 应用创建的 PDF 任务状态。任务状态包括 queued、processing、succeeded 和 failed。

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

task_id*string

创建任务时返回的任务 ID。

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/openapi/v1/pdf/get_task?task_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "code": 0,  "message": "获取 PDF 任务状态成功",  "data": {    "task_id": "8dc4a3d8-38f0-4870-9794-62fd00ad04c2",    "operation": "optimize",    "status": "succeeded",    "original_names": [      "input.pdf"    ],    "result_name": "optimized.pdf",    "result_size": 238912,    "result_available": true,    "created_at": "2026-08-31T10:00:00+08:00",    "started_at": "2026-08-31T10:00:01+08:00",    "finished_at": "2026-08-31T10:00:03+08:00",    "expires_at": "2026-08-31T11:00:03+08:00"  },  "time": 1788141603}
Empty
Empty
Empty
Empty